petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecPointwiseDivide

Computes the componentwise division w = x/y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecPointwiseDivide(Vec w,Vec x,Vec y)

Logically Collective on Vec

### Input Parameters

x, y -the vectors

### Output Parameter

w -the result

### Notes

any subset of the x, y, and w may be the same vector.

### See Also

VecPointwiseMult(), VecPointwiseMax(), VecPointwiseMin(), VecPointwiseMaxAbs(), VecMaxPointwiseDivide()

### Level

advanced

### Location

src/vec/vec/interface/vector.c

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1f.F90.html
src/vec/vec/examples/tutorials/ex1f90.F90.html
src/vec/vec/examples/tutorials/ex20f90.F90.html
src/ksp/ksp/examples/tutorials/ex72.c.html
src/ts/examples/tutorials/ex50.c.html
src/tao/unconstrained/examples/tutorials/spectraladjointassimilation.c.html
src/tao/pde_constrained/examples/tutorials/elliptic.c.html
src/tao/pde_constrained/examples/tutorials/parabolic.c.html

### Implementations

VecPointwiseDivide_Nest in src/vec/vec/impls/nest/vecnest.c
VecPointwiseDivide_Seq in src/vec/vec/impls/seq/bvec2.c
VecPointwiseDivide_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda2.cu
VecPointwiseDivide_SeqViennaCL in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages